#ifndef __BITMAP__
#define __BITMAP__

typedef struct _bitmap_struct{
        void    *buffer;
        unsigned long length;
}bitmap_struct, *pbitmap_struct;


void    bitmap_init(__in pbitmap_struct pbitmap);
void    bitmap_set_bit(__in pbitmap_struct pbitmap, __in unsigned long bit);
void    bitmap_clear_bit(__in pbitmap_struct pbitmap, __in unsigned long bit);
unsigned long bitmap_check_bit(__in pbitmap_struct pbitmap, __in unsigned long bit);
void    bitmap_destroy(__in pbitmap_struct pbitmap);

#endif
